<section class="content-header">
    <a class="back-navigation" [routerLink]="['/roles']">
      <svg class="icon_user_management" shape-rendering="geometricPrecision" width="10" height="10">
        <use xlink:href="./assets/dist/img/icons.svg#icon_back"></use>
      </svg> All Roles</a>
    <h1 style="margin-top:10px">
      Add Roles
    </h1>
  </section>
  <section class="content">
    <div class="row">
      <!-- right column -->
      <div class="col-md-3">
      </div>
      <div class="col-md-6">
        <!-- Horizontal Form -->
        <form #Loginform="ngForm" class="form-horizontal" novalidate (ngSubmit)="AddRole(Loginform.value)">
          <div class="box">
            <!-- form start -->
            <div class="box-body">
              <div class="form-group col-md-6">
                <label>Role Id</label>
                <input type="text" class="form-control" placeholder="RoleId" [(ngModel)]="userRole.roleId" name="roleId" />
              </div>
              <div class="form-group col-md-6">
                <label>Role</label>
                <input type="text" class="form-control" placeholder="Role" [(ngModel)]="userRole.role" name="role" />
              </div>
              <div class="form-group col-md-12">
                <label>Created By</label>
                <input type="text" class="form-control" placeholder="CreatedBy" [(ngModel)]="userRole.createdBy" name="createdBy" />
              </div>
              <div class="form-group col-md-12">
                <label>Updated By</label>
                <input type="text" class="form-control" placeholder="UpdatedBy" [(ngModel)]="userRole.updatedBy" name="updatedBy" />
              </div>
            </div>
            <!-- /.box-body -->
            <div class="box-footer">
              <div class="col-md-2 pull-right">
                <button type="submit"  class="btn btn-primary">Submit</button>
              </div>
              <div class="col-md-2 pull-right">
                <button class="btn btn-default" [routerLink]="['/roles']">
                  Cancel
                </button>
              </div>
            </div>
            <!-- /.box-footer -->
          </div>
        </form>
        <!-- /.box -->
      </div>
      <!--/.col (right) -->
    </div>
    <!-- /.row -->
  </section>